﻿using System;
using Syncfusion.SfChart.XForms;
using Syncfusion.SfChart.XForms.Droid;
using Native = Com.Syncfusion.Charts;
using Xamarin.Forms;

[assembly:Dependency(typeof(Chart_GettingStarted.Droid.ChartZoomFactorDependency))]
namespace Chart_GettingStarted.Droid
{
	public class ChartZoomFactorDependency : IChartZoomFactorDependency
	{
		public float GetZoomFactor(ChartAxis chartAxisxis)
		{
			Native.DateTimeAxis axis = SfChartRenderer.GetNativeObject(typeof(ChartAxis), chartAxisxis) as Native.DateTimeAxis;
			return axis.ZoomFactor;
		}
	}
}
