﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Syncfusion.SfChart.XForms;
using Xamarin.Forms;

namespace Chart_GettingStarted
{
    public partial class MainPage : ContentPage
    {
        
        public MainPage()
        {
            InitializeComponent();
            //Trigger label created event to change the axis label
            this.numericalAxis.LabelCreated += NumericalAxis_LabelCreated;
        }

        private void NumericalAxis_LabelCreated(object sender, ChartAxisLabelEventArgs e)
        {
            string label = e.LabelContent;

            switch (label)
            {
                case "1":
                    e.LabelContent = "One";
                    break;
                case "2":
                    e.LabelContent = "Two";
                    break;
                case "3":
                    e.LabelContent = "Three";
                    break;
                case "4":
                    e.LabelContent = "Four";
                    break;
                case "5":
                    e.LabelContent = "Five";
                    break;
                case "6":
                    e.LabelContent = "Six";
                    break;
            }
        }
    }   
}
