﻿using Syncfusion.SfChart.XForms;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Text;
using Xamarin.Forms;

namespace Chart_GettingStarted
{
    public class ViewModel : INotifyPropertyChanged
    {
        public ObservableCollection<Model> Data { get; set; }

        private double restrictZoomFactor = 1;
        public double RestrictZoomFactor
        {
            get { return restrictZoomFactor; }
            set
            {

                if (value > 0.8 )
                    restrictZoomFactor = 0.8;
                else
                {
                    restrictZoomFactor = value;
                    
                }

                if (PropertyChanged != null)
                {
                    PropertyChanged.Invoke(this, new PropertyChangedEventArgs("RestrictZoomFactor"));
                    
                }
            }
        }
        public ViewModel()
        {
            Data = new ObservableCollection<Model>(){

               new Model(){XValue=10, YValue=15, XValue1=5, YValue1=55},
               new Model(){XValue=50, YValue=85, XValue1=25, YValue1=19},
               new Model(){XValue1=34, YValue1=45},
               new Model(){XValue=70, YValue1=10},
            };
        }

        public event PropertyChangedEventHandler PropertyChanged;
    }
    public class Model
    {
        public double XValue { get; set; }
        public double XValue1 { get; set; }
        public double YValue { get; set; }
        public double YValue1 { get; set; }
     
    }
}
